Event data

Summarize properties by event

GET/api/websites/{websiteId}/event-data/events

Returns property names, types, and counts grouped by event name. When an event is specified, also groups by property value.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Query parameters

NameTypeDescription
startAtrequiredintegerStart of the date range as a Unix timestamp in milliseconds.
endAtrequiredintegerEnd of the date range as a Unix timestamp in milliseconds.
eventstringFilter by custom event name.
pathstringFilter by page URL path.
referrerstringFilter by referring URL.
titlestringFilter by page title.
querystringFilter by page URL query string.
osstringOperating system used by the visitor.
browserstringBrowser used by the visitor.
devicestringDevice category used by the visitor.
countrystringCountry code of the visitor.
regionstringRegion or subdivision of the visitor.
citystringCity of the visitor.
tagstringTag attached to the tracked activity.
hostnamestringHostname on which the activity occurred.
distinctIdstringCustom identifier assigned to the visitor.
languagestringPreferred language reported by the visitor browser.
utmSourcestringUTM campaign source.
utmMediumstringUTM campaign medium.
utmCampaignstringUTM campaign name.
utmContentstringUTM campaign content.
utmTermstringUTM campaign search term.
excludeBouncestringSet a non-empty value to exclude visits with only one pageview.
segmentstringID of a saved segment used to filter results.
cohortstringID of a saved cohort used to filter visitors.
eventTypeintegerEvent type: 1 for a pageview or 2 for a custom event.
matchenum<string>Whether records must match all filters or any filter.
Options: all, any

Responses

200The operation completed successfully.
NameTypeDescription
dataTyperequirednumberData type of the custom property.
eventNamestringName of the custom event.
propertyNamerequiredstringName of the custom event or session property.
propertyValuestringValue of the custom property.
totalrequirednumber
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL